<div class="card">
    <div class="grid p-fluid">
        <p-table #dt [value]="profesores" [rows]="4" [paginator]="true" responsiveLayout="scroll" 
          [rowHover]="true" dataKey="id" [showCurrentPageReport]="true">
            <ng-template pTemplate="caption">
                <div class="flex align-items-center justify-content-between">
                    <h5 class="m-0">Lista de Profesores</h5>
                    <span class="p-input-icon-left">
                        <i class="pi pi-search"></i>
                        <input pInputText type="text"  placeholder="Search..."/>
                    </span>
                </div>
            </ng-template>
            <ng-template pTemplate="header">
                <tr>
                    <th pSortableColumn="estado_perfil">Estado<p-sortIcon field="estado_perfil"></p-sortIcon></th>
                    <th pSortableColumn="nombre">Nombre<p-sortIcon field="nombre"></p-sortIcon></th>
                    <th pSortableColumn="apellido">Apellido <p-sortIcon field="apellido"></p-sortIcon></th>
                    <!-- <th pSortableColumn="email">Email <p-sortIcon field="email"></p-sortIcon></th> -->
                    <th pSortableColumn="telefono">Teléfono <p-sortIcon field="telefono"></p-sortIcon></th>
                    <th pSortableColumn="tipo_identificacion">Tipo identificación <p-sortIcon field="tipo_identificacion"></p-sortIcon></th>
                    <th pSortableColumn="documento_identidad">Número de identificación <p-sortIcon field="documento_identidad"></p-sortIcon></th>
                    <th pSortableColumn="acciones">Acciones <p-sortIcon field="acciones"></p-sortIcon></th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-profesor>
                <tr>
                    <td>{{profesor.estado_perfil}}</td>
                    <td>{{profesor.nombre}}</td>
                    <td>{{profesor.apellido}}</td>
                    <!-- <td>{{profesor.email}}</td> -->
                    <td>{{profesor.telefono}}</td>
                    <td>{{profesor.tipo_identificacion}}</td>
                    <td>{{profesor.documento_identidad}}</td>
                    <td>
                        <button pButton pRipple icon="pi pi-pencil" class="p-button-rounded p-button-success" (click)="editProfesor(profesor)"></button>
                        <button pButton pRipple icon="pi pi-trash" class="p-button-rounded p-button-warning"></button>
                    </td>
                </tr>
            </ng-template>
            <ng-template pTemplate="summary">
                <div class="flex align-items-center justify-content-between">
                   Total de registros: {{profesores ? profesores.length : 0 }}
                </div>
            </ng-template>
        </p-table>

        <p-dialog  header="Detalle del profesor inscrito" [(visible)]="profesorDialog" [modal]="true" [style]="{width: '55vw'}"
        [draggable]="false" [resizable]="false">
            <ng-template pTemplate="content">
                <div class="p-field">
                    <div class="product-list-item">
                        <img [src]="'assets/images/' + profesor.img" [alt]="profesor.nombre" style="padding: 1rem; max-height: 156px;" />
                        <div class="product-list-detail">
                            <div class="product-name">{{profesor.nombre}} {{profesor.apellido}}</div>
                            <div class="product-description">{{profesor.email}}</div>
                            <hr>
                            <h3>Datos adicionales</h3>
                            <div class="p-grid">
                                <div class="p-col-6">
                                    <p>Categoria:</p>
                                    <span class="product-category">{{profesor.categoria}}</span>
                                </div>
                                <div class="p-col-6">
                                    <p>Título profesional:</p>
                                    <span class="product-category">{{profesor.titulo_prof}}</span>
                                </div>
                            </div>
                            <hr>
                            <p>Validación de documentos</p>
                            <div class="p-grid">
                                <div class="p-col-12">
                                    <ul>
                                        <li>     <a download="prueba" href="https://www.proturbiomarspa.com/files/_pdf-prueba.pdf">documento prueba</a></li>
                                        <li>     <a download="prueba" href="https://www.proturbiomarspa.com/files/_pdf-prueba.pdf">documento prueba 2</a></li>            
                                    </ul>
                                </div>
                            </div>
                            <hr>
                            <p>Funcionario</p>
                            <form id="editProfesorStatus" autocomplete="off" [formGroup]="editFormProfesorStatus" (ngSubmit)="EditStatusProfesor()">
                                <div class="p-grid">
                                    <div class="p-col-6">
                                        <p>Id:</p>
                                        <span class="product-category">{{profesor.id}}</span>
                                    </div>
                                    <div class="p-col-6">
                                        <p>Estado:</p>
                                        <p-dropdown [options]="statusprof" dataKey="profesor.estado_perfil" placeholder="Estado del usuario" optionLabel="name" [showClear]="true" formControlName="estado_perfil" [(ngModel)]="profesor.estado_perfil"></p-dropdown>
                                    </div>
                                </div>
                                <button pButton pRipple type="submit" label="Guardar" class="p-button-rounded wbutton"></button>
                            </form>
                        </div>
                    </div>
                </div>
                <p-divider layout="horizontal">
                </p-divider>
            </ng-template>
        </p-dialog>

        <p-confirmDialog [style]="{width: '450px'}"></p-confirmDialog>

    </div>    
</div>
